sdr::DebugStore< Scalar > Class Template Reference
Data sinks.

Keeps a copy of the last buffer received. More...

`#include <utils.hh>`

Inheritance diagram for sdr::DebugStore< Scalar >:

## Public Member Functions

| DebugStore ()
| Constrctor. More...
virtual void | config (const Config &src_cfg)
| Configures the node. More...
virtual void | process (const Buffer< Scalar > &buffer, bool allow_overwrite)
| Stores the given buffer. More...
const Buffer< Scalar > & | buffer () const
| Retunrs a reference to the last received buffer. More...
void | clear ()
| Clears the buffer. More...
Public Member Functions inherited from sdr::Sink< Scalar >
| Sink ()
| Constructor. More...
virtual | ~Sink ()
| Drestructor. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Re-implemented from `SinkBase`. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...

## Public Attributes

Buffer< Scalar > | _buffer
| A pre-allocated buffer, that will hold the last data received. More...
Buffer< Scalar > | _view
| A view to the last data received. More...

## Detailed Description

### template<class Scalar>
class sdr::DebugStore< Scalar >

Keeps a copy of the last buffer received.

## Constructor & Destructor Documentation

template<class Scalar >

sdr::DebugStore< Scalar >::DebugStore | ( |  | ) |

inline

Constrctor.

## Member Function Documentation

template<class Scalar >

const Buffer<Scalar>& sdr::DebugStore< Scalar >::buffer | ( |  | ) | const

inline

Retunrs a reference to the last received buffer.

template<class Scalar >

void sdr::DebugStore< Scalar >::clear | ( |  | ) |

inline

Clears the buffer.

template<class Scalar >

virtual void sdr::DebugStore< Scalar >::config | ( | const Config & | src_cfg | ) |

inlinevirtual

Configures the node.

Implements sdr::SinkBase.

template<class Scalar >

virtual void sdr::DebugStore< Scalar >::process | ( | const Buffer< Scalar > & | buffer,
|  | bool | allow_overwrite
| ) |  |

inlinevirtual

Stores the given buffer.

Implements sdr::Sink< Scalar >.

## Member Data Documentation

template<class Scalar >

Buffer<Scalar> sdr::DebugStore< Scalar >::_buffer

A pre-allocated buffer, that will hold the last data received.

template<class Scalar >

Buffer<Scalar> sdr::DebugStore< Scalar >::_view

A view to the last data received.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/utils.hh